CHICKEN-STATUS(1)

NAME
chicken-status - list information about installed libraries

SYNOPSIS
chicken-status [OPTION ...] NAME ...

DESCRIPTION
chicken-status lists information about installed CHICKEN Scheme extension libraries.

If NAME is given, information is limited to the specified extension(s). Otherwise, all extensions are shown.

The program accepts following arguments:

-h, -help
    Show usage and exit.

-version
    Show version and exit.

-c, -components
    List installed components.

-f, -files
    List installed files.

-list
    List installed egg versions in a format suitable for use with chicken-install(1)'s -override or -from-list options.

-match
    Treat NAME as a glob pattern.

-host
    When cross-compiling, only show host extensions.

-target
    When cross-compiling, only show target extensions. “override” format.

-cached
    List eggs that are currently cached.

ENVIRONMENT
The following environment variables change the behaviour of chicken-status:

CHICKEN_INSTALL_REPOSITORY
    The path where extension libraries are installed. Defaults to the package library path selected during configuration (usually $prefix/lib/chicken/<binary-version>).

CHICKEN_REPOSITORY_PATH
    One or more directories holding extension libraries. Defaults to the installation repository.

CHICKEN_EGG_CACHE
    Location where eggs are retrieved and built.

FILES

$XDG_CACHE_HOME/chicken-install/
    Default directory for cached eggs. ( $XDG_CACHE_HOME defaults to $HOME/.cache )

EXIT STATUS

SEE ALSO
chicken(1), chicken-install(1), chicken-uninstall(1)

More information can be found in the CHICKEN User's Manual: http://wiki.call-cc.org/manual/index.

AUTHORS
The CHICKEN Team

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org